gtk.Invisible
Prev | The gtk Class Reference | Next

## gtk.Invisible

gtk.Invisible — internally-used widget which is not displayed.

## Synopsis

    class gtk.Invisible(gtk.Widget):
        gtk.Invisible()
        def set_screen(screen)
        def get_screen()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Invisible

## gtk.Invisible Properties

gtk.Object Properties

gtk.Widget Properties

"screen" | Read-Write | The screen where this window will be displayed.

## gtk.Invisible Style Properties

gtk.Widget Style Properties

## gtk.Invisible Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

## Description

The `gtk.Invisible` widget is used internally in GTK, and is probably not useful for application developers. It is used for reliable pointer grabs and selection handling in the code for drag-and-drop.

## Constructor

        gtk.Invisible()

Returns : | a new `gtk.Invisible` widget

Creates a new `gtk.Invisible` widget.

## Methods

### gtk.Invisible.set_screen

        def set_screen(screen)

`screen` : | a `gtk.gdk.Screen` object

### Note

This method is available in PyGTK 2.2 and above.

The `set_screen`() method sets the `gtk.gdk.Screen` (specified by `screen`) where the `gtk.Invisible` object will be displayed.

### gtk.Invisible.get_screen

        def get_screen()

Returns :, `` : | the associated `gtk.gdk.Screen`

### Note

This method is available in PyGTK 2.2 and above.

The `get_screen`() method returns the associated `gtk.gdk.Screen` object.

Prev | Up | Next
gtk.InputDialog | Home | gtk.Item